> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/workspace/calendar/api/v3/reference/settings/get#auth).

Returns a single user setting.
[Try it now](https://developers.google.com/workspace/calendar/api/v3/reference/settings/get#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/calendar/v3/users/me/settings/setting
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `setting` | `string` | The id of the user setting. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/calendar.readonly` |
| `https://www.googleapis.com/auth/calendar` |
| `https://www.googleapis.com/auth/calendar.settings.readonly` |
| `https://www.googleapis.com/auth/calendar.settings` |

For more information, see the [authentication and authorization](https://developers.google.com/workspace/guides/configure-oauth-consent) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Settings resource](https://developers.google.com/workspace/calendar/api/v3/reference/settings#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.